/******************************************************************************
 * effectpop.hpp
 * Sound effect remote control dialog.
 *-----------------------------------------------------------------------------
 * Copyright (C) 2015 - 2016 Osman Celimli
 * For conditions of distribution and use, see copyright notice in playtone.cpp
 ******************************************************************************/
#ifndef EFFECTPOP
#define EFFECTPOP

#define EFFECTMAN_BUFFER_ENTRIES		8192
#define EFFECTMAN_BUFFER_LEN			(sizeof(mszRender) / sizeof(mszRender[0]))

class EffectPop {
	public:
		EffectPop(HWND hParent);
		~EffectPop(void);

		void refresh(void);
		void dispatch(void);
		void readSliders(void);
		void snapSliders(void);

		BOOL createPop(void);
		void closePop(BOOL bForce);

		BOOL checkPop(void);
		HWND getPop(void);

	private:
		HWND mhParent;

		HWND mhPop;
		HWND mhPri,mhPan;
		INT miPri,miCenter,miLeft,miRight;

		HWND mhStatus,mhOpen,mhPlay,mhStop;
		TCHAR mszRender[MENUMAN_BUFFER_ENTRIES];
		TCHAR mszSFX[MENUMAN_BUFFER_ENTRIES];
};

#endif
